      SUBROUTINE GPBEGIN
* This was written for zeroing arrays before each event
*
#include "gpstripspe.inc"
*#include "gprspe.inc"
*
* clean strip structure for SPE
*

*
      DO I=1,NPLANES
         DO II=1,NSENSORS
            DO III=1,NSTRIPX
               PROXTANTI(I,II,III)=0.
            ENDDO
            DO III=1,NSTRIPY
               PROYTANTI(I,II,III)=0.
            ENDDO
         ENDDO
      ENDDO
*
C prepare the vector for the global strip position to be filled runtime
C
      DO I=1,NPLANES
         DO II=1,NSENSORS
            DO III=1,NSTRIPX
               GLOBSTRIPX(I,II,III)=0.
            ENDDO
            DO III=1,NSTRIPY
               GLOBSTRIPY(I,II,III)=0.
            ENDDO
         ENDDO
      ENDDO
c
      END
